Skip to main content
`Ctrl`+`K`

# MatSelectVariableBlockSizes

When creating a submatrix, pass on the variable block sizes

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSelectVariableBlockSizes(Mat subA, Mat A, IS isrow)

Not Collective

## Input Parameter

- subA - the submatrix

- A - the original matrix

- isrow - The `IS` of selected rows for the submatrix, must be sorted

## Notes

If the index set is not sorted or contains off-process entries, this function will do nothing.

## See Also

Matrices, `Mat`, `MatSetVariableBlockSizes()`, `MatComputeVariableBlockEnvelope()`

## Level

developer

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages